import Container from "@/components/container";
import ThemeProvider from "@/components/theme-provider";
import { Inter } from "next/font/google";

import "./globals.css";

const inter = Inter({ subsets: ["latin"] });

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <>
      <html className={inter.className} lang="en" suppressHydrationWarning>
        <head />
        <body>
          <ThemeProvider attribute="class" defaultTheme="dark" enableSystem>
            <Container>{children}</Container>
          </ThemeProvider>
        </body>
      </html>
    </>
  );
}
